libdazzle (3.44.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:20:08 +0000

libdazzle (3.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:25:59 -0400

libdazzle (3.43.90-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 08:30:37 -0500

libdazzle (3.42.0-2) unstable; urgency=medium

  * Update debian/gbp.conf & debian/watch for Debian GNOME team style
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 14:56:53 -0400

libdazzle (3.42.0-1) unstable; urgency=medium

  * New upstream release
  * Add libdazzle-common package for translations
  * debian/rules: Set export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Sep 2021 20:49:34 -0400

libdazzle (3.40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Aug 2021 22:55:08 -0400

libdazzle (3.40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 10:42:23 +0100

libdazzle (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 13:16:32 +0200

libdazzle (3.37.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement
  * debian/libdazzle-1.0-0.symbols
    - updated the symbols for the new versions

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Aug 2020 16:48:12 +0200

libdazzle (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Mar 2020 13:37:16 +0100

libdazzle (3.35.3-2) unstable; urgency=medium

  * debian/libdazzle-1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Feb 2020 19:49:20 -0500

libdazzle (3.35.3-1) unstable; urgency=medium

  * New upstream beta release
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Feb 2020 18:47:22 -0500

libdazzle (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Drop git_fix-gtk-doc-1.32.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Oct 2019 17:25:23 -0400

libdazzle (3.34.0-2) unstable; urgency=medium

  * Cherry-pick patch from upstream git to fix build with gtk-doc 1.32
    (Closes: #939964)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Sep 2019 18:48:16 +0200

libdazzle (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 15:15:18 +0200

libdazzle (3.33.90-1) experimental; urgency=medium

  * New upstream release
    + Add helper for shortcuts to remove accels
    + Tweak styling for Adwaita
    + Work around recent changes in GTK action muxing
    + Autoptr additions
    + Improve fuzzy text matches
    + Various fixes for alternative compilers
    + A new compact mode for DzlSuggestionEntry
    + Improvements to shortcut activation
    + The fuzzy highlighter has been improved to work around some embedded
      markup
    + The panel now has support for "needs-attention"
    + Do not reset child positions on DzlMultiPaned::add
    + Treat . as a break character in DzlPatternSpec
    + A new DzlSuggestionButton widget was added that transitions from a
      GtkButton to a DzlSuggestionEntry.
  * debian/control: Bump meson BD version per upstream
  * debian/libdazzle-1.0-0.symbols: Update.  Commit
    1518c9e82c29ee79d49e082cc73406a7318ceff6 upstream dropped a symbol
    dzl_list_box_row_new() but this was a constructor for an abstract class so
    was mistakenly exported as it was never usable.

 -- Iain Lane <laney@debian.org>  Mon, 12 Aug 2019 12:04:31 +0100

libdazzle (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 20:11:07 -0400

libdazzle (3.31.92-1) experimental; urgency=medium

  * New upstream release
  * debian/libdazzle-1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Mar 2019 02:50:12 -0500

libdazzle (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump minimum meson to 0.47.2
  * debian/libdazzle-1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 15:57:24 -0500

libdazzle (3.30.2-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 20:09:19 -0500

libdazzle (3.30.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gtk requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Nov 2018 11:06:48 +0100

libdazzle (3.30.1-2) unstable; urgency=medium

  * Use xvfb-run -a since it is helpful on some buildds

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 00:55:09 -0400

libdazzle (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Sep 2018 09:08:54 -0400

libdazzle (3.30.0-2) unstable; urgency=medium

  * Add debian/docs to install NEWS and README.md
  * debian/libdazzle-1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 11 Sep 2018 19:32:31 -0400

libdazzle (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Sep 2018 13:43:36 +0200

libdazzle (3.29.92-3) experimental; urgency=medium

  * debian/libdazzle-1.0-0.symbols:
    - correctly update the list of symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 Aug 2018 16:32:03 +0200

libdazzle (3.29.92-2) experimental; urgency=medium

  * debian/libdazzle-tools.install:
    - dazzle-list-counters is installed in usr/bin

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 Aug 2018 15:01:17 +0200

libdazzle (3.29.92-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/graph-model-pass-va_list-by-reference.patch:
    - removed, it's in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 Aug 2018 13:08:11 +0200

libdazzle (3.29.91-2) experimental; urgency=medium

  * Chery-pick graph-model-pass-va_list-by-reference.patch:
    fix build test failure on several architectures

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 16:16:49 -0400

libdazzle (3.29.91-1) experimental; urgency=medium

  * New upstream development release
  * Drop Make-the-build-reproducible.patch: applied in new release
  * debian/libdazzle-1.0-0.symbols: Add new symbols and drop apparently
    unused dzl_cpu_graph_new
  * dazzle-list-counters is now installed in /usr/lib/libdazzle instead
    of /usr/bin

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 09:40:46 -0400

libdazzle (3.28.5-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/p/Make-the-build-reproducible.patch:
    Add patch from Chris Lamb to make glib-mkenums output reproducible
    (Closes: #896064)
  * d/control: Update Homepage. Thanks to Chris Lamb (Closes: #896065)
  * Bump Standards-Version to 4.1.5 (no changes required)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 09:16:43 -0400

libdazzle (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 08:02:42 -0400

libdazzle (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable
  * Bump minimum glib to 2.56.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 09:20:16 -0400

libdazzle (3.27.91-1) experimental; urgency=medium

  * New upstream development release
  * debian/libdazzle-1.0-0.symbols: Update

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Feb 2018 22:29:08 -0500

libdazzle (3.27.90-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib to 2.55.0
  * debian/libdazzle-1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 08 Feb 2018 20:58:48 -0500

libdazzle (3.26.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 31 Jan 2018 19:54:13 -0500

libdazzle (3.26.2-2) unstable; urgency=medium

  * Bump minimum debhelper to 11.1.3 to really fix the C.UTF-8 build issue

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 20:43:30 -0500

libdazzle (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Build-Depend on debhelper >= 11.1 to automatically build with the C.UTF-8
    locale
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 06:44:48 -0500

libdazzle (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Only watch for stable releases
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 17:43:38 -0400

libdazzle (3.26.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 20:02:40 -0400

libdazzle (3.25.92-1) unstable; urgency=medium

  * New upstream release
  * debian/libdazzle-1.0-0.symbols: Add new symbol
  * Drop git_remove-object-lifecycle-tests.patch:
    Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Sep 2017 18:53:20 -0400

libdazzle (3.25.91-3) unstable; urgency=medium

  * Add git_remove-object-lifecycle-tests.patch:
    - Backport fix for build tests on some architectures (Closes: #873784)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 16:42:35 -0400

libdazzle (3.25.91-2) unstable; urgency=medium

  * Use C.UTF-8 locale when building (Closes: #873674)
  * Bump Standards-Version to 4.1.0

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Aug 2017 14:52:06 +0200

libdazzle (3.25.91-1) unstable; urgency=medium

  * New upstream release
  * debian/libdazzle-1.0-0.symbols: Add new symbols
  * debian/control.in: trivial tweaks
  * debian/copyright: Add missing copyright attributions, thanks
    Chris Lamb for the report (Closes: #873616)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 10:43:08 -0400

libdazzle (3.25.5-1) unstable; urgency=low

  * Initial release (Closes: #867852) (LP: #1705575)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 20 Jul 2017 18:48:27 -0400
